cryptol-2.6.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.Solver.Selector

Description

Synopsis

- tryHasGoal :: HasGoal -> InferM (Bool, Bool)

# Documentation

tryHasGoal Source #

Arguments

:: HasGoal |
-> InferM (Bool, Bool) | changes, solved

Solve has-constraints.